Eclipse Platform Release 3.7

## org.eclipse.ant.core
Class Task

    java.lang.Object
      org.eclipse.ant.internal.core.AntObject
          org.eclipse.ant.core.Task

    public class Task

extends org.eclipse.ant.internal.core.AntObject

Represents an Ant task. Clients may instantiate this class; it is not intended to be subclassed.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from class org.eclipse.ant.internal.core.AntObject
`fClassName, fLibrary, fLibraryEntry, fName`

Constructor Summary
`Task()`

Method Summary
`String` `getTaskName()` Returns the name of the task
`void` `setTaskName(String taskName)` Sets the name of the task

Methods inherited from class org.eclipse.ant.internal.core.AntObject
`getClassName, getLibrary, getLibraryEntry, getPluginLabel, getURI, isDefault, isEclipseRuntimeRequired, setClassName, setEclipseRuntimeRequired, setIsDefault, setLibrary, setLibraryEntry, setPluginLabel, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Task

    public Task()

Method Detail

### getTaskName

    public String getTaskName()

  Returns the name of the task

  Returns:
    the name of the task

### setTaskName

    public void setTaskName(String taskName)

  Sets the name of the task

  Parameters:
    `taskName` - The taskName to set

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.